.***********************************************************************/
.* BubblePad - Replacement class for the launchpad of Warp 3/4         */
.* (C) Chris Wohlgemuth                                                */
.*                                                                     */
.* E-Mail: chris.wohlgemuth@cityweb.de                                 */
.*     or  christopher.wohlgemuth@bch.siemens.de                       */
.*                                                                     */
.* Released under the GNU Public Licence                               */
.* See file COPYING for further information                            */
.*                                                                     */
.*   Source file for online help                                       */
.*                                                                     */
.*   Last change: 28.12.98                                             */
.*                                                                     */
.***********************************************************************/

.*
.* This program is free software; you can redistribute it and/or modify
.* it under the terms of the GNU General Public License as published by
.* the Free Software Foundation; either version 2, or (at your option)
.* any later version.
.*
.* This program is distributed in the hope that it will be useful,
.* but WITHOUT ANY WARRANTY; without even the implied warranty of
.* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.* GNU General Public License for more details.
.*
.* You should have received a copy of the GNU General Public License
.* along with this program; see the file COPYING.  If not, write to
.* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
.*
:userdoc.

:docprof.

:title. Help for Bubblepad V1.05

:h1 res=001.Bubblepad V1.05
:i1 global.Bubblepad
:p.
The bubblepad is a replacement class for the launchpad of OS/2 Warp 3 and Warp 4. It provides bubblehelp for the
buttons of the launchpad and minimizes its size. There is an additional option to hide the drawer buttons.
With V1.03 and above it's possible to hide each action button. Activate this feature on the third otions page. 
:p.
This DLL and the accompaigning program are provided 'as is' under the terms of the Gnu Public Licence (GPL).
For further information read the file 'COPYING'.
:note text='Usage'.
:p.
Bubblehelp is activated after checking of :hp2.Activate bubblehelp:ehp2.. Adjust the delay by changing the value
of :hp2.Delay:ehp2.. You can change the colour and font on the next settings page. The size is adjustable on the 
option pages.
:p.
:p.
:link reftype=hd res=201.History:elink.
:p.
:note text='Author:'. Chris Wohlgemuth.
:nt text='Web:'. http&colon.//www.os2world.com/cdwriting
.br
http&colon.//www.geocities.com/SiliconValley/Sector/5785/
:ent.

:h2 res=200.Additional Options
:p.
You can minimize the distance between buttons by checking the item :hp2.Small launchpad:ehp2. on the fourth option page.
The spin button :link reftype=hd res=302.Distance of buttons:elink. adjusts the distance.  
If you like very large launchpads you can increase it, too...
:p.
Check :hp2.Remove drawer buttons:ehp2. to remove the buttons from the launchpad.
:p.
With version 1.02 BubblePad saves the state of drawers on shutdown and reopens them during next boot. Use the
checkbox :hp2.Open drawers during reboot:ehp2. to customize this feature.
:h3 res=302.Distance of buttons
:p.
The button distance is adjustable from 4 to 18 pixel. With small values the size of the launchpad decreases dramatically.
:h2 res=201.History
:p.
22.06.2003 V1.05
:ul compact.
:li.Export of M_WPLnchCWClassData, M_WPLnchCWCClassData and M_WPLnchCWNewClass
wasn't defined. -> No subclassing possible.
:li.Notebook buttons are moved on Warp 4.
:eul.
:p.
28.12.98 V1.04 (never released to the public)
:ul compact.
:li.Bug corrected which caused opening of bubblepad with default values when LAUNCHPAD entry was present
in the AUTOSTART line of the config.sys. This bug was introduced with the setup strings of V1.03.        
:eul.
:p.
15.11.98 V1.03
:sl.
:li.New features:
:ul compact.
:li.Option to disable reopening of drawers added.
:li.Optionpage to remove each action button added.
:li.Setup strings added to ease automatic installation.
:li.Utility included to replace/unreplace the WPLaunchPad class.
:eul.
:esl.
:p.
19.09.98 V1.02:
:sl.
:li.New features:
:ul compact.
:li.Hide drawer button feature added. 
:li.Individual settings for BubblePads added.
:li.Added saving of drawer state. Drawers are reopened on next reboot. Doesn't work with normal open/close. 
:eul.
:li.Bugs corrected:
:ul compact.
:li.Positioning of help windows for launchpad at the top of the desktop corrected.
:li.Bug with broken references causing drawers to disapear fixed. 
:li.Moved button reordering from wpRefreshDrawer() to wpSetDrawerHWND(). This eliminates the flickering when opening drawers. 
:li.Install.exe always copied the english help-file in previous versions.
:eul.
:esl.
:p.
20.08.98 V1.01:
:ul compact.
:li.Corrected stucking help window problem. Help windows are always properly destroyed now, even if drawers are set to autoclose.
:eul.
:p.
18.08.98 V1.00b:
:ul compact.
:li.Corrected positioning of drawers. Drawers below or on the left of the launchpad were placed with an offset to the launchpad.
:li.Timer routines for the help windows rewritten.
:eul.
:p.
16.08.98 V1.00a:
:ul compact.
:li.Corrected bug in install.exe which sometimes prevented accepting of default installation directory.
:li.Workaround: fly over help window on some systems remains visible. When help stucks on the desktop move pointer over
another button to get rid of it.              
:eul.
:p.
25.06.98 V1.00:  
:sl.
:li.First public version.
:esl.

:h2 res=202.Colour and Font
:p.
Colour and font of the bubblehelp are adjustable. You can change it with the colour- and font palettes inside the :hp2.configuration folder:ehp2..
Just drop the colour or the font on the container on the second bubblehelp page. Press <CNTR> during dropping, if you want to change
the text colour. Open the palettes by clicking the buttons :hp2.Colour...:ehp2. and :hp2.Font...:ehp2..
:note text='Note:'.
The changes take effect after closing the notebook.
:p.
:sl.
:li.:link reftype=hd res=310.Colour...:elink. 
:li.:link reftype=hd res=311.Font...:elink.
:li.:link reftype=hd res=312.Undo:elink.
:li.:link reftype=hd res=313.Standard:elink.
:li.:link reftype=hd res=314.Help:elink.
:esl. 
:h3 res=310.Help for Colour...
:p.
Open the colour palette inside the :hp2.configuration folder:ehp2. by clicking on the button. 
:h3 res=311.Help for Font...
:p.
Open the Font palette inside the :hp2.configuration folder:ehp2. by clicking on the button. 
:h3 res=312.Help for Undo
:p.
Click on the button to reestablish the previous configuration.
:h3 res=313.Help for Standard
:p.
Click the button to chose the default values for colour and font.
Textcolour is black and the background colour is a bright yellow. The font is :hp2.8.Helv:ehp2..
:h3 res=314.Help for Help
:p.
This button opens the help.
:h2 res=400.Action buttons selection
:p.
Use the checkboxes on this page to enable or disable each of the action buttons.
:euserdoc.
